# Update Field

Source: https://www.digiparser.com/docs/api/updateField

# Update Field

Server URL`loading...`

PATCH

/`api`/`v1`/`parsers`/`{parserId}`/`fields`/`{fieldId}`

Send

Authorization

Path

Body

Update or rename a scalar field or table field. For table fields, `columns` is the full desired column list.

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

fieldId\*string

The field name or ID

## [Request Body](#request-body)

`application/json`

id?string

name?string

type?string

Value in`"text" | "number" | "date" | "boolean" | "currency" | "choice" | "list" | "table"`

description?string|null

instructions?string|null

required?boolean

position?integer

options?array<string\>

columns?array<PublicField\>

## [Response Body](#response-body)

### 200

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X PATCH "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/fields/Invoice Number" \  -H "Content-Type: application/json" \  -d '{}'
```

200

```
{
  "fields": [
    {
      "id": "string",
      "name": "string",
      "type": "text",
      "description": "string",
      "instructions": "string",
      "required": true,
      "position": 0,
      "options": [
        "string"
      ],
      "columns": [
        {
          "id": "string",
          "name": "string",
          "type": "text",
          "description": "string",
          "instructions": "string",
          "required": true,
          "position": 0,
          "options": [
            "string"
          ],
          "columns": []
        }
      ]
    }
  ],
  "reprocessRecommended": true
}
```

[

Create Field POST

Create a scalar field or table field.

](/docs/api/createField)[

Delete Field DELETE

Next Page

](/docs/api/deleteField)